///////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//         This example code is from the book:
//
//           Object-Oriented Programming with C++ and OSF/Motif, 2nd Edition
//         by
//           Douglas Young
//           Prentice Hall, 1995
//           ISBN 0-13-20925507
//
//         Copyright 1995 by Prentice Hall
//         All Rights Reserved
//
//  Permission to use, copy, modify, and distribute this software for 
//  any purpose except publication and without fee is hereby granted, provided 
//  that the above copyright notice appear in all copies of the software.
///////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////


///////////////////////////////////////////////////////
// LabeledText.h: A simple C++ component class
/////////////////////////////////////////////////////// 
#ifndef LABELEDTEXT_H
#define LABELEDTEXT_H
#include <Xm/Xm.h>

class LabeledText {
 
  public:
  
    LabeledText ( const char *, Widget); // Requires a parent and a name
    void setLabel(const char *);
    void setText (const char *);
    const char *getText();
    void setReadOnly(Boolean);
  
  private:
 
    Widget _rowColumn;   // A container for the text and label
    Widget _text;        // Input area
    Widget _label;       // The label
};
#endif
